//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include "RVTable.hpp"
#include "CRVFData.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------

#define WM_SETCARETPOS (WM_APP+10)

class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TImage *Image1;
	TImage *Image2;
	TImage *Image3;
	TRichViewEdit *RichViewEdit1;
	TRVStyle *RVStyle1;
	void __fastcall RichViewEdit1DragOver(TObject *Sender, TObject *Source, int X,
	int Y, TDragState State, bool &Accept);
	void __fastcall RichViewEdit1DragDrop(TObject *Sender, TObject *Source, int X,
	int Y);
	void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
    void MoveCaretTo(int X, int Y);
    void __fastcall WMSetCaretPos(TMessage &Message);
      BEGIN_MESSAGE_MAP
      MESSAGE_HANDLER(WM_SETCARETPOS, TMessage, WMSetCaretPos)
      END_MESSAGE_MAP(TForm)
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
